package com.example.gasullajproyectomaster;

import android.annotation.SuppressLint;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver.OnGlobalLayoutListener;
import android.widget.ImageButton;

public class TabInstruccionesManejo extends Fragment {
	private ImageButton ibZonasMvtoCara;	
	private View mainViewInstrucciones; // Contenedor principal
	int mainWidth; 	// Contendr la anchura de la pantalla
	int mainHeight;	// Contendr la altura de la pantalla
	Context contexto;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);		
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		contexto = container.getContext();
			
		return inflater.inflate(R.layout.tab_instrucciones_manejo, container, false);
		        
	}
	
	@Override
	public void onActivityCreated (Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);	
		
		// ImageButton con las instrucciones para el mvto de cara
		ibZonasMvtoCara	= (ImageButton) getView().findViewById(R.id.imagebutton_zonas_mvto_cara);
		
		// Layout contenedor de la pantalla principal
		mainViewInstrucciones = (View) getView().findViewById(R.id.mainInstrucciones);

		mainViewInstrucciones.getViewTreeObserver().addOnGlobalLayoutListener(
				new OnGlobalLayoutListener() {
					@SuppressLint("NewApi")
					@SuppressWarnings("deprecation")
					@Override
					public void onGlobalLayout() {
						// Obtenemos las dimensiones del contenedor
						mainWidth = mainViewInstrucciones.getWidth();
						mainHeight = mainViewInstrucciones.getHeight();

						// Ajustamos el tamao de los elementos
						// proporcionalmente al contenedor
						ibZonasMvtoCara.setBackground(AjustesDrawables.ajustarDrawable(
								contexto, R.drawable.zonas_mvto_cara, 0.4d,
								mainWidth, mainHeight));						

						// Eliminamos el listener, en funcin del nivel de API
						if (android.os.Build.VERSION.SDK_INT >= android.os.Build.VERSION_CODES.JELLY_BEAN) {
							mainViewInstrucciones.getViewTreeObserver()
									.removeOnGlobalLayoutListener(this);
						} else {
							mainViewInstrucciones.getViewTreeObserver()
									.removeGlobalOnLayoutListener(this);
						}
					}
				});
		
	}

}